Get the index of the color which has the hue, white and blackness

- « imagecolorclosestalpha

- imagecolordeallocate »

- PHP Manual
- GD and Image Functions
- Get the index of the color which has the hue, white and blackness

# imagecolorclosesthwb

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

imagecolorclosesthwb — Get the index of the color which has the hue, white and blackness

### Description

imagecolorclosesthwb(
GdImage `$image`,
int `$red`,
int `$green`,
int `$blue`
): int

Get the index of the color which has the hue, white and blackness nearest the given color.

### Parameters

`image`

  A GdImage object, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component.

`green`

  Value of green component.

`blue`

  Value of blue component.

### Return Values

Returns an integer with the index of the color which has the hue, white and blackness nearest the given color.

### Changelog

Version | Description
--- | ---
8.0.0 | `image` expects a GdImage instance now; previously, a valid `gd` resource was expected.

### Examples

Example #1 Example of using imagecolorclosesthwb()

    <?php$im = imagecreatefromgif('php.gif');echo 'HWB: ' . imagecolorclosesthwb($im, 116, 115, 152);imagedestroy($im);?>

The above example will output something similar to:

    HWB: 33

### See Also

- imagecolorclosest() - Get the index of the closest color to the specified color